udpstat.d(1m)

NAME
udpstat.d - print UDP statistics. Uses DTrace.

SYNOPSIS
udpstat.d

DESCRIPTION
udpstat.d is a DTrace program to print UDP statistics every second, retrieved from the MIB provider. The UDP statistics are documented in the mib2_tcp struct in /usr/include/inet/mib2.h; and also in the mib provider chapter of the DTrace Guide, found at http://docs.sun.com/db/doc/817-6223. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print statistics every second,
    # udpstat.d

FIELDS

UDP_out
    UDP datagrams sent

UDP_outErr
    UDP datagrams errored on send

UDP_in
    UDP datagrams received

UDP_inErr
    UDP datagrams undeliverable

UDP_noPort
    UDP datagrams received to closed ports

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
udpstat.d will run forever until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)